package ncsu.android;


//import android.R;
import java.util.Locale;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.speech.tts.TextToSpeech;
import android.util.Log;

public class TextToSpeechTest extends Activity {
	
	public static int MY_DATA_CHECK_CODE = 1;
	
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main); 
        
        
        Intent checkIntent = new Intent();
    	checkIntent.setAction(TextToSpeech.Engine.ACTION_CHECK_TTS_DATA);
    	startActivityForResult(checkIntent, MY_DATA_CHECK_CODE);
    	
    }
    
    
    class TtsInitlistener implements TextToSpeech.OnInitListener{
    	public void onInit(int status){
    		if(status == TextToSpeech.SUCCESS){
    			Log.d("me","Init success");
    			
    			mTts.setLanguage(Locale.US);
    			
    			testTTS();
    		}
    	}
    }
    
    private void testTTS(){
    	String myText1 = "Did you sleep well?";
		String myText2 = "I hope so, because it's time to wake up.";
		mTts.speak(myText1, TextToSpeech.QUEUE_FLUSH, null);
		mTts.speak(myText2, TextToSpeech.QUEUE_ADD, null);
    }
    
    private TextToSpeech mTts;
    protected void onActivityResult(
            int requestCode, int resultCode, Intent data) {
        if (requestCode == MY_DATA_CHECK_CODE) {
            if (resultCode == TextToSpeech.Engine.CHECK_VOICE_DATA_PASS) {
                // success, create the TTS instance
                //mTts = new TextToSpeech(this, this);
            	//Context context, TextToSpeech.OnInitListener listener
                mTts = new TextToSpeech(TextToSpeechTest.this, new TtsInitlistener());
            } else {
                // missing data, install it
                Intent installIntent = new Intent();
                installIntent.setAction(
                    TextToSpeech.Engine.ACTION_INSTALL_TTS_DATA);
                startActivity(installIntent);
            }
        }
    }
}